Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.space
Interface Discrete2DSpace

All Known Subinterfaces:
  IMulti2DGrid

All Known Implementing Classes:
  AbsMulti2DGrid, AbsMulti2DHexagonalGrid, AbsMulti2DHexagonalTorus, AbsMulti2DTorus, Diffuse2D, Diffuse2DHexagonal, HeatSpace, HexaSpace, Multi2DGrid, Multi2DHexagonalGrid, Multi2DHexagonalTorus, Multi2DTorus, Object2DGrid, Object2DHexagonalGrid, Object2DHexagonalTorus, Object2DTorus, OrderedMulti2DGrid, OrderedMulti2DHexagonalGrid, OrderedMulti2DHexagonalTorus, OrderedMulti2DTorus, RasterSpace

    public interface Discrete2DSpace

Interface for all Discrete two dimensional spaces.

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:50:57 $
Author:
  Nick Collier

Field Summary
`static int` | `MOORE`
`static int` | `VON_NEUMANN`

Method Summary
`BaseMatrix` | `getMatrix()` Gets the matrix collection class that contains all the values
`java.lang.Object` | `getObjectAt(int x, int y)` Gets the Object at the specified coordinate.
`java.awt.Dimension` | `getSize()` Gets the dimension of the space
`int` | `getSizeX()` Gets the size of the x dimension
`int` | `getSizeY()` Gets the size of the y dimension
`double` | `getValueAt(int x, int y)` Gets the value at the specified coordinate if appropriate.
`void` | `putObjectAt(int x, int y, java.lang.Object object)` Puts the specified Object at the specified coordinate.
`void` | `putValueAt(int x, int y, double value)` Puts the specified value at the specified coordinate.

Field Detail

### VON_NEUMANN

    static final int VON_NEUMANN

See Also:
  Constant Field Values

### MOORE

    static final int MOORE

See Also:
  Constant Field Values

Method Detail

### getSizeX

    int getSizeX()

  Gets the size of the x dimension

### getSizeY

    int getSizeY()

  Gets the size of the y dimension

### getSize

    java.awt.Dimension getSize()

  Gets the dimension of the space

### getObjectAt

    java.lang.Object getObjectAt(int x,
                                 int y)

  Gets the Object at the specified coordinate.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
  Returns:
    the Object at x,y

### getValueAt

    double getValueAt(int x,
                      int y)

  Gets the value at the specified coordinate if appropriate.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
  Returns:
    the value at x, y

### putObjectAt

    void putObjectAt(int x,
                     int y,
                     java.lang.Object object)

  Puts the specified Object at the specified coordinate.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `object` - the object to put

### putValueAt

    void putValueAt(int x,
                    int y,
                    double value)

  Puts the specified value at the specified coordinate.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `value` - the value to put at x,y

### getMatrix

    BaseMatrix getMatrix()

  Gets the matrix collection class that contains all the values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD